{ pkgs, ... }: {
  services = {
    polybar = {
      enable = true;
      script = "polybar main &";
      config = {
        "bar/main" = {
          width = "100%";
          height = "28";
	  font-0 = "Iosevka Nerd Font:style=regular:pixelsize=12;2";
          font-1 = "Font Awesome 6 Free:style=Solid:pixelsize=10;2";
          modules-left = "bspwm";
          modules-center = "date";
          modules-right = "pulseaudio memory cpu";
        };
        "module/bspwm" = {
          type = "internal/bspwm";
          label-focused = "%name%";
          label-focused-foreground = "#e6e0de";
          label-focused-padding = 2;
          label-occupied = "%name%";
          label-occupied-padding = 2;
          label-urgent = "%name%";
          label-urgent-background = "#e42127";
          label-urgent-foreground = "#ffffff";
          label-empty = "%name%";
          label-empty-foreground = "#645d56";
          label-empty-padding = 2;
        };
        "module/date" = {
          type = "internal/date";
          interval = 60;
          date = "%d-%m-%Y %H:%M";
        };
      };
    };
  };
}
